Summary:	Plasma5-application for interactive graphing and analysis of scientific data
Name:		labplot
Version:	2.8.1
Release:	%mkrel 4
License:	GPLv2+
Group:		Sciences/Other
URL:		https://edu.kde.org/labplot/
Source0:	https://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	clang-tools-extra
BuildRequires:	cmake(Cantor)
BuildRequires:	cmake(KUserFeedback)
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(libcerf)
BuildRequires:	pkgconfig(netcdf)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	gettext-devel
BuildRequires:	hdf5-devel

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5NewStuff)
BuildRequires:	cmake(KF5TextWidgets)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5KDELibs4Support)
BuildRequires:	cmake(KF5SyntaxHighlighting)

BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
LabPlot provides an easy way to create, manage and edit plots.
It allows you to produce plots based on data from a spreadsheet or on
data imported from external files.
Plots can be exported to several pixmap and vector graphic formats.

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DENABLE_CLANG_TIDY=ON
%cmake_build

%install
%cmake_install

%find_lang labplot2 --with-html --with-man

%files -f labplot2.lang
%doc AUTHORS ChangeLog README.md
%{_kf5_bindir}/labplot2
%{_kf5_metainfodir}/org.kde.labplot2.appdata.xml
%{_kf5_iconsdir}/*
%{_kf5_datadir}/labplot2/
%{_kf5_applicationsdir}/org.kde.labplot2.desktop
%{_kf5_datadir}/kxmlgui5/labplot2/
%{_kf5_datadir}/mime/packages/labplot2.xml
%{_kf5_mandir}/man1/labplot2.1*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 2.8.1-4.mga8
+ Revision: 1658863
- Rebuild for new Qt5

* Tue Dec 15 2020 daviddavid <daviddavid> 2.8.1-3.mga8
+ Revision: 1657732
- rebuild for new cantor 20.12.0

* Tue Nov 17 2020 daviddavid <daviddavid> 2.8.1-2.mga8
+ Revision: 1646813
- enable KUserFeedback and CFitsio support
- switch to hdf5 >= 1.10

* Tue Nov 17 2020 daviddavid <daviddavid> 2.8.1-1.mga8
+ Revision: 1646786
- new version: 2.8.1

* Mon Oct 26 2020 akien <akien> 2.7.0-8.mga8
+ Revision: 1639600
- Rebuild against libnetcdf18

* Thu Oct 01 2020 pterjan <pterjan> 2.7.0-7.mga8
+ Revision: 1631522
- Rebuild for new netcdf on arm

* Sat Aug 22 2020 daviddavid <daviddavid> 2.7.0-6.mga8
+ Revision: 1617826
- rebuild for new cantor 20.08.0

* Thu May 28 2020 daviddavid <daviddavid> 2.7.0-5.mga8
+ Revision: 1588494
- switch appdata file to kf5_metainfo dir

* Wed Mar 18 2020 daviddavid <daviddavid> 2.7.0-4.mga8
+ Revision: 1557610
- rebuild for new netcdf 4.7.3

* Tue Feb 18 2020 umeabot <umeabot> 2.7.0-3.mga8
+ Revision: 1541404
- Mageia 8 Mass Rebuild

* Fri Dec 27 2019 daviddavid <daviddavid> 2.7.0-2.mga8
+ Revision: 1470222
- switch to new cmake macros
- rebuild for new cantor 19.12.0

* Fri Oct 25 2019 daviddavid <daviddavid> 2.7.0-1.mga8
+ Revision: 1455713
- new version: 2.7.0

* Mon Sep 30 2019 daviddavid <daviddavid> 2.6.0-3.mga8
+ Revision: 1448163
- rebuild for new cantor

* Tue Aug 27 2019 daviddavid <daviddavid> 2.6.0-2.mga8
+ Revision: 1433757
- rebuild for new gsl 2.6

* Fri Apr 19 2019 daviddavid <daviddavid> 2.6.0-1.mga7
+ Revision: 1393527
- new version: 2.6.0

* Sun Mar 31 2019 umeabot <umeabot> 2.5.0-3.mga7
+ Revision: 1383033
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-2.mga7
+ Revision: 1298705
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 daviddavid <daviddavid> 2.5.0-1.mga7
+ Revision: 1238671
- new version: 2.5.0
- remove merged upstream patch

* Thu Jun 07 2018 daviddavid <daviddavid> 2.4.0-3.mga7
+ Revision: 1235095
- add patch to fix build with new Qt5 >= 5.11.0

* Wed Dec 27 2017 wally <wally> 2.4.0-2.mga7
+ Revision: 1185647
- rebuild for new gsl

* Sat Jul 22 2017 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1128821
- new version: 2.4.0

* Tue Dec 27 2016 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 1078297
- new version: 2.3.0

* Wed Jul 20 2016 neoclust <neoclust> 2.2.0-2.mga6
+ Revision: 1042903
- Rebuild for armv5

* Fri May 20 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1017098
- new version: 2.2.0
- port to Qt5/kf5
- remove merged upstream gsl2 patch

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.1.0-2.mga6
+ Revision: 927885
- add patch to fix build with gsl version 2
- rebuild for gsl

* Sun Jan 10 2016 filipesaraiva <filipesaraiva> 2.1.0-1.mga6
+ Revision: 921173
- Add new files to be packed;
- Add new requirements for build;
- Update to version 2.1.0;

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-3.mga5
+ Revision: 750224
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-2.mga5
+ Revision: 681261
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 filipesaraiva <filipesaraiva> 2.0.1-1.mga5
+ Revision: 586778
- Added kdelibs4-devel and kdebase4-devel build requires;
- Added kdebase4-runtime requires.
- imported package labplot

